Bug 901455 - Review Request: nodejs-wordwrap - Word wrapping library for node
Summary: Review Request: nodejs-wordwrap - Word wrapping library for node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 901453
TreeView+ depends on / blocked
 
Reported: 2013-01-18 09:01 UTC by T.C. Hollingsworth
Modified: 2013-04-05 23:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-16 02:36:15 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description T.C. Hollingsworth 2013-01-18 09:01:53 UTC
Spec: http://patches.fedorapeople.org/npm/nodejs-wordwrap.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-wordwrap-0.0.2-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4880065
FAS username: patches

Wrap those words. Show them at what columns to start and stop.

This package is part of the tap stack used to test many Node.js modules.

Please use nodejs-0.6.5-9 or later when building or using this package.

Comment 1 Vít Ondruch 2013-01-31 09:53:29 UTC
Seems that SRPM and the .spec are not in sync :/ But the right SRPM should be in Koji I guess.

Comment 2 Vít Ondruch 2013-01-31 09:54:45 UTC
Ah, no ... Koji build failed as well ;)

Comment 3 T.C. Hollingsworth 2013-01-31 10:05:46 UTC
Sorry, not sure what happened here.  The above URLs are fixed.

I also kicked off a new koji scratch build.  The original one failed because there was a problem w/the RPM magic in the nodejs package in the buildroot at the time I filed these reviews. :-(

http://koji.fedoraproject.org/koji/taskinfo?taskID=4916987

Comment 4 Jamie Nguyen 2013-02-08 10:15:22 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (wordwrap-0.0.2.tgz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: nodejs-wordwrap-0.0.2-1.fc18.src.rpm
          nodejs-wordwrap-0.0.2-1.fc18.noarch.rpm
nodejs-wordwrap.src: W: invalid-license MIT/X11
nodejs-wordwrap.noarch: W: invalid-license MIT/X11
nodejs-wordwrap.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-wordwrap
nodejs-wordwrap.noarch: W: invalid-license MIT/X11
nodejs-wordwrap.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-wordwrap-0.0.2-1.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    nodejs(engine) >= 0.4.0



Provides
--------
nodejs-wordwrap-0.0.2-1.fc18.noarch.rpm:
    
    nodejs-wordwrap = 0.0.2-1.fc18
    npm(wordwrap) = 0.0.2



MD5-sum check
-------------
http://registry.npmjs.org/wordwrap/-/wordwrap-0.0.2.tgz :
  CHECKSUM(SHA256) this package     : 66a2fa688509738922c3ad62a6159fe3c93268bd3bca2bff24df4bc02cc31582
  CHECKSUM(SHA256) upstream package : 66a2fa688509738922c3ad62a6159fe3c93268bd3bca2bff24df4bc02cc31582


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review --rpm-spec -n nodejs-wordwrap-0.0.2-1.fc17.src.rpm

Comment 5 Jamie Nguyen 2013-02-08 10:18:41 UTC
Upstream have committed a change to package.json and added a LICENSE file:

https://github.com/substack/node-wordwrap/commit/b0265414e9fbce0413d5bf26179685786b759d8a

It now says MIT instead of MIT/X11, which isn't a valid license, so I think I would change the License field to MIT.

Also the LICENSE file only includes a link to the MIT license, not the actual MIT license but you should probably include it anyway when 0.0.3 is released. Please inform upstream to include the whole license text in their LICENSE file.

Comment 7 Jamie Nguyen 2013-02-09 00:00:23 UTC
I just re-read the Fedora Licensing guidelines and the MIT X License is considered the same as MIT (so License: MIT is used for both licenses).

Anyway, review approved!

Comment 8 T.C. Hollingsworth 2013-02-09 00:12:50 UTC
New Package SCM Request
=======================
Package Name: nodejs-wordwrap
Short Description: Word wrapping library for node
Owners: patches
Branches: f18 el6
InitialCC:

Comment 9 Gwyn Ciesla 2013-02-09 20:47:24 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-02-13 04:27:27 UTC
nodejs-amdefine-0.0.4-1.fc18,nodejs-buffer-equal-0.0.0-1.fc18,nodejs-charm-0.1.0-1.fc18,nodejs-deep-equal-0.0.0-2.fc18,nodejs-optimist-0.3.5-1.fc18,nodejs-source-map-0.1.8-3.fc18,nodejs-traverse-0.6.3-2.fc18,nodejs-wordwrap-0.0.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,uglify-js-2.2.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-amdefine-0.0.4-1.fc18,nodejs-buffer-equal-0.0.0-1.fc18,nodejs-charm-0.1.0-1.fc18,nodejs-deep-equal-0.0.0-2.fc18,nodejs-optimist-0.3.5-1.fc18,nodejs-source-map-0.1.8-3.fc18,nodejs-traverse-0.6.3-2.fc18,nodejs-wordwrap-0.0.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,uglify-js-2.2.4-1.fc18

Comment 11 Fedora Update System 2013-02-16 01:24:22 UTC
nodejs-amdefine-0.0.4-1.fc18, nodejs-buffer-equal-0.0.0-1.fc18, nodejs-charm-0.1.0-1.fc18, nodejs-deep-equal-0.0.0-2.fc18, nodejs-optimist-0.3.5-1.fc18, nodejs-source-map-0.1.8-3.fc18, nodejs-traverse-0.6.3-2.fc18, nodejs-wordwrap-0.0.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-difflet-0.2.3-2.fc18, uglify-js1-1.3.4-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2013-04-05 23:06:01 UTC
nodejs-amdefine-0.0.4-1.fc18, nodejs-buffer-equal-0.0.0-1.fc18, nodejs-charm-0.1.0-1.fc18, nodejs-deep-equal-0.0.0-2.fc18, nodejs-optimist-0.3.5-1.fc18, nodejs-source-map-0.1.8-3.fc18, nodejs-traverse-0.6.3-2.fc18, nodejs-wordwrap-0.0.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-difflet-0.2.3-2.fc18, uglify-js1-1.3.4-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.